%define dbus_version    	  1.2
%define dbus_glib_version	  0.76
%define glib2_version             2.16
%define gtk2_version              2.12
%define gnome_doc_utils_version   0.3.2
%define polkit_version            0.8
%define polkit_gnome_version      0.8
%define gnome_keyring_version     2.22
%define devicekit_disks_version   002

Summary: GNOME Disk Utility
Name: gnome-disk-utility
Version: 0.1
Release: 0.git20080720%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
URL: http://gitweb.freedesktop.org/?p=users/david/gnome-disk-utility.git;a=summary
Source0: %{name}-%{version}.git20080720.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: dbus-glib >= %{dbus_glib_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: PolicyKit-devel >= %{polkit_version}
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: gnome-keyring-devel >= %{gnome_keyring_version}
BuildRequires: DeviceKit-disks-devel >= %{devicekit_disks_version}
BuildRequires: PolicyKit-gnome-devel >= %{polkit_gnome_version}
BuildRequires: libsexy-devel
BuildRequires: intltool
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
GNOME Disk Utility libraries and GTK+ based Palimpsest Disk Utility.

%package libs
Summary: Shared libraries for non-UI bits gnome-disk-utility
Group: Development/Libraries
Requires: DeviceKit-disks >= %{devicekit_disks_version}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description libs
Shared libraries for non-UI bits of gnome-disk-utility.

%package ui-libs
Summary: Shared libraries for UI bits of gnome-disk-utility
Group: Development/Libraries
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description ui-libs
Shared libraries for UI bits of gnome-disk-utility.

%package devel
Summary: Headers and libraries for non-UI bits of gnome-disk-utility
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: glib2-devel >= %{glib2_version}
Requires: pkgconfig

%description devel
Headers and libraries for non-UI bits of gnome-disk-utility.

%package ui-devel
Summary: Headers and libraries for UI bits of gnome-disk-utility
Group: Development/Libraries
Requires: %{name}-ui-libs = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Requires: gtk2-devel >= %{gtk2_version}
Requires: pkgconfig

%description ui-devel
Headers and libraries for UI bits of gnome-disk-utility.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# TODO: upstream doesn't ship a HACKING file yet
echo " " > HACKING

desktop-file-install --delete-original  \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/palimpsest.desktop

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

# TODO: no translations yet
#%find_lang --with-gnome %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update
update-desktop-database %{_datadir}/applications &> /dev/null

%postun
scrollkeeper-update
update-desktop-database %{_datadir}/applications &> /dev/null

%post libs
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
/sbin/ldconfig

%postun libs
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
/sbin/ldconfig

%post ui-libs -p /sbin/ldconfig

%postun ui-libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)

%{_bindir}/palimpsest
%{_datadir}/applications/palimpsest.desktop

%dir %{_datadir}/gnome/help/palimpsest
%{_datadir}/gnome/help/palimpsest/*

%dir %{_datadir}/omf/palimpsest
%{_datadir}/omf/palimpsest/*

# TODO: no translations yet
#%files libs -f %{name}.lang

%files libs
%defattr(-,root,root,-)

%doc README AUTHORS NEWS COPYING HACKING doc/TODO

%{_libdir}/libgdu.so.*

# Yes, it's a bit weird to include icons in the non-UI package but the
# library returns references to these icons
%{_datadir}/icons/hicolor/*

%files ui-libs
%defattr(-,root,root,-)

%{_libdir}/libgdu-gtk.so.*

%files devel
%defattr(-,root,root,-)

%{_libdir}/libgdu.so
%{_libdir}/pkgconfig/gdu.pc

%dir %{_includedir}/gnome-disk-utility
%dir %{_includedir}/gnome-disk-utility/gdu
%{_includedir}/gnome-disk-utility/gdu/*

# TODO: upstream needs to split docs for libgdu and libgdu-gtk
%dir %{_datadir}/gtk-doc/html/gnome-disk-utility
%{_datadir}/gtk-doc/html/gnome-disk-utility/*

%files ui-devel
%defattr(-,root,root,-)

%{_libdir}/libgdu-gtk.so
%{_libdir}/pkgconfig/gdu-gtk.pc

%dir %{_includedir}/gnome-disk-utility/gdu-gtk
%{_includedir}/gnome-disk-utility/gdu-gtk/*

%changelog
* Fri Jul 20 2008 David Zeuthen <davidz@redhat.com> - 0.1-0.git20080720%{?dist}
- Initial Packaging
